import { Component } from '@angular/core';

@Component({
  selector: 'app-cancellation-checker',
  templateUrl: './cancellation-checker.component.html',
  styleUrls: ['./cancellation-checker.component.css'],
})
export class CancellationCheckerComponent {
  selectedOption: string = 'transactionNo';
  startDate: any;
  endDate: any;
  transactionNumber: any;
  selectedTransactionType: string = 'approved';

  constructor() {}

  search() {
    if (this.selectedOption === 'transactionNo') {
      console.log('Search by Transaction No:', this.transactionNumber);
    } else if (this.selectedOption === 'byDate') {
      console.log('Search by Date Range:', this.startDate, 'to', this.endDate);
    }
  }
}
