import { Component } from '@angular/core';
import { ChannelHoldTransactionService } from '../channel-hold-transaction.service';

@Component({
  selector: 'app-channel-hold-transaction',
  templateUrl: './channel-hold-transaction.component.html',
  styleUrls: ['./channel-hold-transaction.component.css'],
})
export class ChannelHoldTransactionComponent {
  toDate: any;
  fromDate: any;
  allDataByDate: any;
  TransactionNumber: any;
  constructor(
    private ChannelHoldTransactionSvc: ChannelHoldTransactionService
  ) {}

  ngOnInit(): void {}

  getDataByDate() {
    this.ChannelHoldTransactionSvc.getAllRecord(
      this.fromDate,
      this.toDate
    ).subscribe((res) => {
      this.allDataByDate = res;
    });
  }

  getDataByTransactionNo() {
    this.ChannelHoldTransactionSvc.getRecordByTransactionNo(
      this.TransactionNumber
    ).subscribe((res) => {
      this.allDataByDate = res;
    });
  }
}
